import { Bez3Slice } from "../shared/slice-arc";
export interface SelfIntersectionSink {
    add(t: number): void;
}
export interface CrossIntersectionSink {
    add(t1: number, t2: number): void;
}
export declare function bez3Intersections(v1: Bez3Slice, v2: Bez3Slice, sink: CrossIntersectionSink): void;
export declare function bez3SelfIntersections(arc: Bez3Slice, sink: SelfIntersectionSink): void;
export type PointArrayRep = [number, number];
